using System;
using System.IO;

namespace Sasa.QualityTools.DrFx.Tests.Violation.CSharp.Microsoft.Usage
{
   public static class Rule2200
    {
       // このメソッドは CA2200 に違反しています。
       public static string ReadAllText(string path)
       {
           try
           {
               return File.ReadAllText(path);
           }
           catch (IOException e)
           {
               throw e;
           }
       }
    }
}
